    <!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.15.1">
    <title>BachelorThesis.DeviceView – bachelor_thesis v0.0.1</title>
    <link rel="stylesheet" href="dist/app-af302bfcc4.css" />
    
    <script src="dist/sidebar_items-1963507629.js"></script>
  </head>
  <body data-type="modules">
    <script>try { if(localStorage.getItem('night-mode')) document.body.className += ' night-mode'; } catch (e) { }</script>

    <div class="main">
<button class="sidebar-toggle">
  <i class="icon-menu"></i>
</button>
<section class="sidebar">

  
  <a href="api-reference.html" class="sidebar-projectLink">
    <div class="sidebar-projectDetails">
      <h1 class="sidebar-projectName">
        bachelor_thesis
      </h1>
      <h2 class="sidebar-projectVersion">
        v0.0.1
      </h2>
    </div>
    
  </a>

  <div class="sidebar-search">
    <i class="icon-search"></i>
    <input type="text" class="sidebar-searchInput" placeholder="search" autocomplete="off" />
  </div>

  <ul class="sidebar-listNav">
    <li><a id="extras-list" href="#full-list">Pages</a></li>

    
      <li><a id="modules-list" href="#full-list">Modules</a></li>
    

    

    
  </ul>
  <div class="gradient"></div>
  <ul id="full-list" class="sidebar-fullList"></ul>
</section>

<section class="content">
  <div class="content-outer">
    <div id="content" class="content-inner">


      <h1>
        <small class="visible-xs">bachelor_thesis v0.0.1</small>
        BachelorThesis.DeviceView
        
        
      </h1>

      

      
        <section id="summary" class="details-list">
          <h1 class="section-heading">
            <a class="hover-link" href="#summary">
              <i class="icon-link"></i>
            </a>
            Summary
          </h1>
          

          
  <div class="summary-functions summary">
    <h2>
      <a href="#functions">Functions</a>
    </h2>
    <div class="summary-row">
  <div class="summary-signature">
    <a href="#__phoenix_recompile__?/0">__phoenix_recompile__?()</a>
  </div>
  
    <div class="summary-synopsis"><p>Returns true whenever the list of templates changes in the filesystem</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#__resource__/0">__resource__()</a>
  </div>
  
    <div class="summary-synopsis"><p>The resource name, as an atom, for this view</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#__templates__/0">__templates__()</a>
  </div>
  
    <div class="summary-synopsis"><p>Returns the template root alongside all templates</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#render/2">render(template, assigns \\ %{})</a>
  </div>
  
    <div class="summary-synopsis"><p>Renders the given template locally</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#template_not_found/2">template_not_found(template, assigns)</a>
  </div>
  
    <div class="summary-synopsis"><p>Callback invoked when no template is found.
By default it raises but can be customized
to render a particular template</p>
</div>
  
</div>

  </div>


          

        </section>
      

      

      
        <section id="functions" class="details-list">
          <h1 class="section-heading">
            <a class="hover-link" href="#functions">
              <i class="icon-link"></i>
            </a>
            Functions
          </h1>
          <div class="detail" id="__phoenix_recompile__?/0">
  
  <div class="detail-header">
    <a href="#__phoenix_recompile__?/0" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">__phoenix_recompile__?()</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Returns true whenever the list of templates changes in the filesystem.</p>

  </section>
</div>
<div class="detail" id="__resource__/0">
  
  <div class="detail-header">
    <a href="#__resource__/0" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">__resource__()</span>
    
    
    
  </div>
  <section class="docstring">
    <p>The resource name, as an atom, for this view</p>

  </section>
</div>
<div class="detail" id="__templates__/0">
  
  <div class="detail-header">
    <a href="#__templates__/0" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">__templates__()</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Returns the template root alongside all templates.</p>

  </section>
</div>
<div class="detail" id="render/2">
  
    <span id="render/1" />
  
  <div class="detail-header">
    <a href="#render/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">render(template, assigns \\ %{})</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Renders the given template locally.</p>

  </section>
</div>
<div class="detail" id="template_not_found/2">
  
  <div class="detail-header">
    <a href="#template_not_found/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">template_not_found(template, assigns)</span>
    
    
    
      <div class="specs">
        
          <pre>template_not_found(<a href="https://hexdocs.pm/phoenix/1.2.3/Phoenix.Template.html#t:name/0">Phoenix.Template.name</a>, map) :: no_return</pre>
        
      </div>
    
  </div>
  <section class="docstring">
    <p>Callback invoked when no template is found.
By default it raises but can be customized
to render a particular template.</p>

  </section>
</div>

        </section>
      

      
          <footer class="footer">
        <p>
          <span class="line">
            Built using
            <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" rel="help" target="_blank">ExDoc</a> (v0.15.1),
          </span>
          <span class="line">
            designed by
            <a href="https://twitter.com/dignifiedquire" target="_blank" title="@dignifiedquire">Friedel Ziegelmayer</a>.
            </span>
        </p>
        <button class="night-mode-toggle" />
      </footer>
    </div>
  </div>
</section>
</div>
  <script src="dist/app-e9767fa739.js"></script>
  </body>
</html>

